package com.nokia.common.aspose;

import java.io.FileOutputStream;

import com.aspose.cells.ImageOrPrintOptions;
import com.aspose.cells.ImageType;
import com.aspose.cells.SheetRender;
import com.aspose.cells.Worksheet;

public class AsposeUtil {

    private static final String[] colNames = new String[] {
            "A", "B", "C", "D", "E", "F", "G",
            "H", "I", "J", "K", "L", "M", "N",
            "O", "P", "Q", "R", "S", "T",
            "U", "V", "W", "X", "Y", "Z",
            "AA", "AB", "AC", "AD", "AE", "AF", "AG",
            "AH", "AI", "AJ", "AK", "AL", "AM", "AN"
    };

    /**
     * 截图并保存位png
     * 
     * @param imgPath
     * @param worksheet
     * @param area
     * @throws Exception
     */
    public static void screenshot(String imgPath, Worksheet worksheet, String area) throws Exception {
        if (!imgPath.toLowerCase().endsWith(".png")) {
            imgPath = imgPath + ".png";
        }
        // 设置图片数据的边距
        worksheet.getPageSetup().setPrintArea(area);
        worksheet.getPageSetup().setLeftMargin(1);
        worksheet.getPageSetup().setRightMargin(1);
        worksheet.getPageSetup().setTopMargin(1);
        worksheet.getPageSetup().setBottomMargin(1);
        ImageOrPrintOptions options = new ImageOrPrintOptions();
        options.setCellAutoFit(false);
        options.setOnePagePerSheet(true);
        options.setImageType(ImageType.PNG);
        SheetRender sheetRender = new SheetRender(worksheet, options);
        for (int i = 0; i < sheetRender.getPageCount(); i++) {
            sheetRender.toImage(i, new FileOutputStream(imgPath));
        }
    }

    /**
     * 获取列名
     * 
     * @param colId
     * @return
     */
    public static String getColName(int colId) {
        return colNames[colId];
    }
}
