package com.nokia.dingtalk_auto.service.task;

import java.io.File;

import javax.annotation.Resource;

import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.data.redis.core.RedisTemplate;

import com.nokia.common.dingtalk.exception.DingTalkApiException;
import com.nokia.dingtalk_auto.service.TslTaskService;

@SpringBootTest
public class TslTaskServiceTest {
    @Autowired
    private TslTaskService tslTaskService;

    @Resource
    private RedisTemplate<String, Object> redisTemplate;

    @Test
    void test() throws Exception, DingTalkApiException {
        test2("20230501");
    }

    void test3(String day) throws Exception {
        // 1. 下载文件
        tslTaskService.download(day);
        // 2. 生成要发送的内容
        String message = tslTaskService.getFilesToSend(day);
        System.out.println(message);
    }

    void test2(String day) throws Exception {
        // 1. 下载文件
        tslTaskService.download(day);
        // 2. 生成要发送的内容
        String message = tslTaskService.getFilesToSend(day);
        System.out.println(message);
        if (!tslTaskService.isDingTalkUtilInited()) {
            tslTaskService.initDingTalkUtil();
        }
        String localPath = "./download/" + day;
        File[] files = new File(localPath).listFiles();
        for (File file : files) {
            if (file.getName().toLowerCase().endsWith(".xlsx")) {
                String mediaId = tslTaskService.getDingTalkUtil().upload(file.getAbsolutePath(), "file");
                tslTaskService.getDingTalkUtil().sendFileMsgWithRobot(mediaId, file.getName());
            }
        }
        tslTaskService.getDingTalkUtil().sendMarkdownMsgWithRobot(message);
    }
}
